Bug 811691 - ykpers: please do not call non-existent, and always have been udev internal, tools
ykpers: please do not call non-existent, and always have been udev internal, ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ykpers (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Maxim Burgerhout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 14:25 EDT by Kay Sievers
Modified: 2012-10-15 06:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 06:16:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-04-11 14:25:52 EDT
The instructions in:
  /lib/udev/rules.d/70-yubikey.rules
can not work since quite a while; they will do nothing but throw errors.

They have been wrong since day one, because the called tools are internal
to udev an _not_ supposed to be called _ever_ by any other tool.

Please remove the rule entirely, or alternatively integrate properly with:
  /lib/udev/rules.d/70-uaccess.rules

Thanks!
Comment 1 Maxim Burgerhout 2012-07-24 15:42:25 EDT
For posterity:

Kay has added a new ID_SECURITY_TOKEN rule in systemd. I'll submit a patch upstream to set Yubikey devices to that ID and thus get this fixed in a new release of ykpers.
Comment 2 Fedora Update System 2012-10-01 10:58:12 EDT
ykpers-1.8.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ykpers-1.8.0-1.fc18
Comment 3 Fedora Update System 2012-10-01 16:12:22 EDT
Package ykpers-1.8.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ykpers-1.8.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15167/ykpers-1.8.0-1.fc18
then log in and leave karma (feedback).
Comment 4 Maxim Burgerhout 2012-10-15 06:16:59 EDT
New udev file merged upstream[1] and ykpers-1.8.0-1.fc18 pushed to stable.

[1] https://github.com/Yubico/yubikey-personalization/commit/b76fb49ad9eb7dd9da6f4568975e8ee99f3ba35f

Note You need to log in before you can comment on or make changes to this bug.